package ru.yandex.wmconsole.data.wrappers;

import ru.yandex.wmtools.common.util.XmlDataWrapper;

/**
 * Returns an empty tag with a given name.
 *
 * @author baton
 * @author ailyin
 */
public class NoDataWrapper extends XmlDataWrapper<Object> {
    private final String tag;

    public NoDataWrapper(String tag) {
        super(null);
        this.tag = tag;
    }

    @Override
    protected void doToXml(StringBuilder result) {
        putTag(result, tag, null);
    }
}
